php как модуль Apache отсутсвует файл

Bender Rodriguez добавил(а) 3 года назад
Не проблема

CentOS 7 /

ISPmanager Lite 5.135.1


5.6.33 (alt) (установлен с возможностью использовать модуль для Apache )7.1.13 (native)


При выборе "Использовать модуль Apache данной версии php 5.6.33 (alt)" - обрано указать использование модуля 7.1.13 (native) невозможно. см скриншот.

После создания пустого файла 10-php.conf в соответсвующей директории модуль переключается.

Файлы: isp.png
Лучший ответ
фото

Вы можете использовать 7.x как native, но требуется установить пакет, поставляемый с ISPmanager.

Комментарии (1)

фото
2

Здравствуйте, Дмитрий!

В стандартной поставке ос Centos 7 по умолчанию устанавливается версия php 5.4 (native), вы использовали какие-то репозитории для установки 7.1.13?

фото
1

Здравствуйте, Елизавета.

Да, Вы правы, установлен из REMI, который не поддерживается. Очень жаль, что нельзя использовать 7.х (native). Вариант "Использовать модуль Apache данной версии php (alt)" не устраивает. Спасибо.

фото
1

Вы можете использовать 7.x как native, но требуется установить пакет, поставляемый с ISPmanager.

фото
1

Да, все же вы имели ввиду установку alt версии?, но как модуль Apache?

Поскольку нет у ISP своих репозиториев с PHP.. не нашел ( ставится только из панели!

Вроде даже ALT версия собрана с уже прописаными в ней путями типа /opt/ и тд, как вы представляете ее натиево установить, без пересборки, при том что сама панель, будет упорно лезть в репы OS.. Нет все это костыль какойто и нет ни где вменяемой информации как подключить PHP натиево в ISPmanager - ДА МОЖНО! я знаю и знаю как ! но проще всего поставить REMI или/и весту )

да, это все пробовал и переназначил поиск скрипта в командном интерпретаторе (php-cli) - все ок!

Но, все равно поставил REMI (ибо у ISP нет своих с этой пакетной базой) и поддерживаемую версию PHP как и ImageMagick - пытался полностью 5.4 удалить - тогда падает панелька в части работы с www доменами - а держать уже "мертвую" версию php-5.4 по дефолту не хочу и не буду ))

Итого на сегодня самый надежный и простой способ без костылей - REMI.

фото
1

Да, все же вы имели ввиду установку alt версии?, но как модуль Apache? - все верно, а можно подробней узнать, с какими проблемами столкнулись при удалении нативной версии 5.4?

фото
1

Удаляются зависимости (coremanager-pkg-php / ispmanager-pkg-php / ispmanager-pkg-phpfpm) - домены с PHP после не работают вообще, если только вручную поправить конфиги и произвести ребилд.

Ок, после удаления устаревших и более не поддерживаемых пакетов php 5.4 в секции возможности (Модуль PHP и PHP-FPM FastCGI) - не активированы - и пока не поставить галочки, возможность настройки php и работы доменов не вернеш, а поставишь - привет 5.4 и падение модуля доменов в панели. (пока не обновишь и перезагрузих панель) Да и в отличии от тех же VestaCP/DA/CP, в ISPmanager нет "персетов" (шаблонов nginx) - будто вся мощь сервера заточена под одно единственное web приложение на WP или 1C )), а php-селектор это дань маркетингу и моде, один раз выбрал и забыл что он есть. Что в общем то и заметно по горе хостерам, у которых просто выбора нет если юзать ISPmanager, как затачивать сервер только под конкретное приложение!

Вы не подумайте, мне панель нравиться своим файл-менеджером, и пожалуй на этом все, но пишу это в надежде, что панель станет достойней вышесказанных, пока этого нет, к сожалению. Года два назад, купил, и когда dar все бекапы мне удалил в небытие - забыл как о страшном сне о ISP. Прошло 2-3 года, вернули tar, добавили Let'sEncrypt, рекламы и модуль в php селектор! Браво!


Идеая с модулем PHP в ISPmanager - классная, но как бы это сказать, только одна. Все остальное плоское, узконаправленное, как будт-то только для сайтов на wp/1c, мне чесно, нравиться панелька, продайте только файл менеджер ))

Спасибо.

фото
2

Спасибо, Дмитрий, за обратную связь и мнение, о том, как улучшить панель ISPmanager, мы постараемся учесть ваши пожелания в будущей разработке, ошибки проверим.

фото
2

По поводу ваших ошибок, мы проверили в данной архитектуре они исправляться не будут. Про удаление основной версии PHP, удаляйте ее из панели ISPmanager. Как я и сказала выше, в будущих разработках учтем ваши пожелания.

фото